#!/bin/sh

# add bin to path
export PATH=../bin:$PATH

#TARGET=debug
TARGET=release

PROGRAM=../bin/$TARGET/Preprocessor.exe

#SCENE=vienna_cropped
SCENE=soda5

LOG_PREFIX=../scripts/$SCENE
ENVIRONMENT=generate_viewcells.env

echo "starting $TARGET mode for $SCENE scene"

#!/bin/sh

PROGRAM=../bin/release/Preprocessor.exe
SCENE=generate_viewcells

LOG_PREFIX=../scripts/vienna

ENVIRONMENT=$SCENE.env


###############################################

METHOD=avs
echo "$SCENE $METHOD"

$PROGRAM $ENVIRONMENT \
-view_cells_type=vspBspTree \
-view_cells_filename=$LOG_PREFIX-visibility.xml.zip

mv debug.log $LOG_PREFIX-$METHOD-debug.log

